#!/bin/sh
#---------------------------------------------------------------------------------------#
#   This script does:
#   - Scour **all** svg file from this directory.
#   - Concatenate **all** scour files to sample-sgv.mako file
#
#   The scour process clean **all** innecessary id's except all with "svg-" prefix.
#---------------------------------------------------------------------------------------#

#----------------------------------------------#
#   scour the svg files
#   (deleting previous scour files)
#----------------------------------------------#
SUFFIX="svg"

rm *.scour.*
for i in *.$SUFFIX
do
    echo ${i%%.$SUFFIX}
    name=${i%%.$SUFFIX}
    scour \
        --enable-id-stripping \
        --enable-comment-stripping \
        --shorten-ids --shorten-ids-prefix="${name}" \
        --protect-ids-prefix="svg-" \
        --remove-metadata --strip-xml-prolog \
        -i ${i} -o ${name}.scour.svg
done

#----------------------------------------------#
#   Concatenate scour files inside a mako file
#   (sample-svg.mako)
#----------------------------------------------#
echo '<%def name="sample_svg()">' > sample-svg.mako

SUFFIX="scour.svg"
for i in *.$SUFFIX
do
    echo ${i}
    name=${i}
    echo "" >> sample-svg.mako
    cat ${name} >> sample-svg.mako
done

echo '\n</%def>' >> sample-svg.mako
